package utils

// 常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize2             = 2
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

// 报告权限状态定义
const (
	ReportPermissionStatusExpired      = 1 //已过期
	ReportPermissionStatusNoPermission = 2 //没有该品种权限
	ReportPermissionStatusNo           = 3 //没有权限
	ReportPermissionStatusHas          = 4 //有该品种权限
	ReportPermissionStatusNoUser       = 5 //没有获得用户信息
)

// 缓存key
const (
	CACHE_WX_ACCESS_TOKEN_DW = "wx:accesstoken:dw" //东吴公众号 微信accessToken
)
const (
	APPNAME = "东吴小程序桥接服务"
)

// 用户状态定义
const (
	UserStatusNo        = 0 //禁用
	UserStatusPotential = 1 //潜在用户
	UserStatusFormal    = 2 //正式用户
)
