package response

import (
	"eta/eta_mini_bridge/models"

	"github.com/rdlucklib/rdluck_tools/paging"
)

type ReportListResp struct {
	List   []*models.ReportList
	Paging *paging.PagingItem
}

//	type ReportDetailResp struct {
//		Report   *models.ReportDetail   `description:"报告"`
//		Classify *models.ClassifyDetail `description:"对应专栏"`
//	}
type ReportDetailResp struct {
	Report *models.ReportDetail `description:"报告"`
	Status int                  `description:"报告状态"`
}
type ReportSearchResp struct {
	Paging *paging.PagingItem
	List   []*models.ReportCollectListItem
}

type EsReportItem struct {
	Author             string `description:"作者"`
	BodyContent        string `description:"内容"`
	Categories         string `description:"品种名称"`
	ClassifyIdFirst    int    `description:"一级分类id"`
	ClassifyNameFirst  string `description:"一级分类名称"`
	ClassifyIdSecond   int    `description:"二级分类id"`
	ClassifyNameSecond string `description:"二级分类名称"`
	PublishState       int    `description:"1:未发布，2:已发布"`
	PublishTime        string `description:"发布时间"`
	ReportChapterId    int    `description:"报告章节Id"`
	ReportId           int    `description:"报告Id"`
	Title              string `description:"标题"`
	Abstract           string `description:"摘要"`
	StageStr           string `description:"期数"`
}
